API Notes
mesh_url must point to a textured GLB model and must use HTTP or HTTPS. This model is asynchronous.
Authentication
All APIs require authentication via Bearer Token.
Get API Key:
Visit API Key Management Page to get your API Key.
Usage:
Add to request header:
Authorization: Bearer YOUR_API_KEY
model string required
Value: hi3d_model_multicolor
mesh_url string required
Publicly accessible HTTP or HTTPS URL of a textured GLB input model.
number_color integer
Number of colors to generate, from 0 to 8. The default is 4. Use 0 to let the model determine the color count.
min_region_faces integer
Minimum number of faces in a color region. Use a positive integer when number_color is not 0.
format string
Output format.
Options: obj, glb, fbx, 3mf
Default: glb
stl and usdz are not supported for this model.
Polling
Since result generation takes time, you need to poll the task status after creating the task.
The initial response only returns information such as the task ID and initial status. The final result must be obtained by polling the task status endpoint using the task ID.
See the examples on the right for polling requests and responses.
Response Format
error object
Error information, only present when status is failed
code
stringError code
message
stringDetailed error message
output array
Generation results, only present when status is completed
content
arrayList of generated resource content
type
stringResource type
Value:
image|videourl
stringProcessed resource URL
jobId
stringRemote task ID
usage object
Usage statistics, only present when status is completed
cost
stringTotal cost in USD
discount
numberDiscount amount
metadata object
Metadata information